Tasks
All operations require authentication.
List account tasksProduction
List account tasks. Returns the IDs of the pending email account tasks of the domain. Filter them by account name.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ account \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an account taskProduction
Get an account task. Returns the action, the account name, the domain and the creation date of the email account task.
Path parameters
Name of your domain name
Id of task
Response
Action of task
addAccountchangeAccountchangePassworddeleteAccountinternalMigrationmigrationtemporaryTaskunknownCreation date of task
Domain name of task
Id of task
Account name of task
Example uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ account/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "addAccount", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "name": "string"}
List tasksProduction
List tasks. Returns the IDs of the tasks of the domain, whatever their type. Get one to read its function and its status.
Path parameters
Name of your domain name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ all \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a taskProduction
Get a task. Returns the function, the status and the domain of the task. Tasks of every type are listed under task/all.
Path parameters
Name of your domain name
Id of the task
Response
Domain name of the task
Function of the task
Id of the task
Status of the task
cancelledcustomerErrordoingdoneinitovhErrortodoExample uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ all/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string", "function": "string", "id": 0, "status": "cancelled"}
List filter tasksProduction
List filter tasks. Returns the IDs of the pending filter tasks of the domain. Filter them by account to see one email account.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ filter \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filter taskProduction
Get a filter task. Returns the action, the account, the domain and the creation time (timestamp) of the filter task.
Path parameters
Name of your domain name
Id of task
Response
Account name of task
Action of task
Domain name of task
Id of task
Creation date of task
Example uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ filter/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "string", "domain": "string", "id": 0, "timestamp": "2024-01-01T12:00:00Z"}
List mailing list tasksProduction
List mailing list tasks. Returns the IDs of the pending mailing list tasks of the domain. Filter them by account.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ mailinglist \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a mailing list taskProduction
Get a mailing list task. Returns the action, the account, the domain, the language and the creation date of the mailing list task.
Path parameters
Name of your domain name
Response
Possible values for mailing list language
deenesfritnlplptExample uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ mailinglist/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "string", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "language": "de"}
List redirection tasksAlpha
Returns the IDs of the pending redirection tasks of the domain. Filter them by account.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a redirection taskAlpha
Returns the account, type, action and creation date of the task.
Path parameters
Name of your domain name
Id
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string, id = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}
List responder tasksProduction
List responder tasks. Returns the IDs of the pending responder tasks of the domain. Filter them by account.
Path parameters
Name of your domain name
Query parameters
Name of responder
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ responder \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a responder or redirection taskProduction
Get a responder or redirection task. Returns the account, type, action and creation date of the task.
Path parameters
Name of your domain name
Id of task
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ responder/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}